rte_vdpa_stat(3)

NAME
rte_vdpa_stat

SYNOPSIS

#include <rte_vdpa.h>

  Data Fields

uint64_t id
uint64_t value

Detailed Description

A vDPA device statistic structure

This structure is used by rte_vdpa_stats_get() to provide statistics from the HW vDPA device.

It maps a name id, corresponding to an index in the array returned by rte_vdpa_get_stats_names, to a statistic value.

Definition at line 34 of file rte_vdpa.h.

Field Documentation

  uint64_t id
The index in stats name array

Definition at line 35 of file rte_vdpa.h.

  uint64_t value
The statistic counter value

Definition at line 36 of file rte_vdpa.h.

Author

Generated automatically by Doxygen for DPDK from the source code.